[kaffe] CVS kaffe (dalibor): Added check for sched_get_priority_max|min

Kaffe CVS cvs-commits at kaffe.org
Mon Mar 22 08:03:01 PST 2004


PatchSet 4558 
Date: 2004/03/22 14:49:15
Author: dalibor
Branch: HEAD
Tag: (none) 
Log:
Added check for sched_get_priority_max|min

2004-03-22  Dalibor Topic <robilad at kaffe.org>

        * configure.in:
        Check for sched_get_priority_max and
        sched_get_priority_min. They are unimplemented on
        OpenBSD, at least.

        * configure,
        config/config.h.in:
        Regenerated.

Members: 
	ChangeLog:1.2136->1.2137 
	configure:1.296->1.297 
	configure.in:1.260->1.261 
	config/config.h.in:1.91->1.92 

Index: kaffe/ChangeLog
diff -u kaffe/ChangeLog:1.2136 kaffe/ChangeLog:1.2137
--- kaffe/ChangeLog:1.2136	Mon Mar 22 14:25:44 2004
+++ kaffe/ChangeLog	Mon Mar 22 14:49:15 2004
@@ -1,5 +1,16 @@
 2004-03-22  Dalibor Topic <robilad at kaffe.org>
 
+        * configure.in:
+	Check for sched_get_priority_max and
+	sched_get_priority_min. They are unimplemented on
+	OpenBSD, at least.
+
+        * configure,
+        config/config.h.in:
+	Regenerated.
+
+2004-03-22  Dalibor Topic <robilad at kaffe.org>
+
         m4/alsa.m4,
         m4/gnu-crypto.m4,
         m4/herrno.m4,
Index: kaffe/configure
diff -u kaffe/configure:1.296 kaffe/configure:1.297
--- kaffe/configure:1.296	Mon Mar 22 14:25:45 2004
+++ kaffe/configure	Mon Mar 22 14:49:17 2004
@@ -26777,6 +26777,7 @@
 VM_LIBS=`echo "$LIBS" | sed "s% $KSAVE_LIBS$%%"`
 LIBS="$KSAVE_LIBS"
 
+
 	if test $ac_cv_lib_pthread_pthread_create = no; then
 		{ { echo "$as_me:$LINENO: error: Missing library libpthread, read FAQ/FAQ.pthreads" >&5
 echo "$as_me: error: Missing library libpthread, read FAQ/FAQ.pthreads" >&2;}
@@ -41538,6 +41539,213 @@
 _ACEOF
 
   fi
+
+
+# sched_get_priority_* functions are not implemented on OpenBSD <= 3.4
+# at least.
+
+for ac_func in sched_get_priority_max
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+if eval "test \"\${$as_ac_var+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+choke me
+#else
+char (*f) () = $ac_func;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != $ac_func;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_var=no"
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+
+for ac_func in sched_get_priority_min
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+if eval "test \"\${$as_ac_var+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+choke me
+#else
+char (*f) () = $ac_func;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != $ac_func;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_var=no"
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
 
 
 
Index: kaffe/configure.in
diff -u kaffe/configure.in:1.260 kaffe/configure.in:1.261
--- kaffe/configure.in:1.260	Tue Mar 16 14:10:47 2004
+++ kaffe/configure.in	Mon Mar 22 14:49:27 2004
@@ -796,6 +796,7 @@
 dnl Check for thread libraries
 if test x$with_threads = xunix-pthreads ; then
 	AC_CHECK_LIBRARY(pthread,pthread_create,VM_LIBS)
+
 	if test $ac_cv_lib_pthread_pthread_create = no; then
 		AC_MSG_ERROR([Missing library libpthread, read FAQ/FAQ.pthreads])
 	fi
@@ -1107,6 +1108,11 @@
 AC_CHECK_FUNCS([localtime])
 
 AM_ICONV
+
+# sched_get_priority_* functions are not implemented on OpenBSD <= 3.4
+# at least.
+AC_CHECK_FUNCS([sched_get_priority_max])
+AC_CHECK_FUNCS([sched_get_priority_min])
 
 dnl getifaddrs replacement for linux
 AC_REPLACE_FUNCS([getifaddrs])
Index: kaffe/config/config.h.in
diff -u kaffe/config/config.h.in:1.91 kaffe/config/config.h.in:1.92
--- kaffe/config/config.h.in:1.91	Thu Mar 11 11:56:46 2004
+++ kaffe/config/config.h.in	Mon Mar 22 14:49:30 2004
@@ -363,6 +363,12 @@
 /* Define to 1 if you have the `sbrk' function. */
 #undef HAVE_SBRK
 
+/* Define to 1 if you have the `sched_get_priority_max' function. */
+#undef HAVE_SCHED_GET_PRIORITY_MAX
+
+/* Define to 1 if you have the `sched_get_priority_min' function. */
+#undef HAVE_SCHED_GET_PRIORITY_MIN
+
 /* Define to 1 if you have the `select' function. */
 #undef HAVE_SELECT
 




More information about the kaffe mailing list